package hracilovacastka;

import java.util.*;

/**
 *
 * @author Dana Nejedlová na základě projektu pana Vladimíra Caldy
 */
public class Vstup {

    static Scanner scanner = new Scanner(System.in);

    public static int zadejCeleCisloVIntervalu(int min, int max) {
        int cislo;
        while (true) {
            try {
                System.out.print("Zadej " + min + " až " + max + ": ");
                cislo = scanner.nextInt();
                scanner.nextLine();
                if (cislo < min || cislo > max) {
                    throw new IndexOutOfBoundsException("Číslo není v rozsahu " + min + " až " + max + "!");
                }
                return cislo;
            } catch (InputMismatchException e) {
                System.out.println("To není celé číslo!");
                scanner.nextLine();
            } catch (IndexOutOfBoundsException e) {
                e.getMessage();
            }
        }
    }
}
