package hracilovacastka;

/**
 *
 * @author Dana Nejedlová na základě projektu pana Vladimíra Caldy
 */
public class HraCilovaCastka {

    public static void main(String[] args) {
        final int cilovaCastka, minimumPridavani, maximumPridavani;
        int soucet = 0;
        Hrac hraje = Hrac.CLOVEK; // Začíná člověk.
        System.out.println("Hra");
        System.out.println("Člověk a počítač střídavě zadávají čísla, která se sčítají.");
        System.out.println("Kdo první dosáhne cílové částky, ten vyhrál.");
        System.out.println("Zadej cílovou částku: ");
        cilovaCastka = Vstup.zadejCeleCisloVIntervalu(1, Integer.MAX_VALUE);
        System.out.println("Zadej minimální hodnotu, kterou bude možné přidat: ");
        minimumPridavani = Vstup.zadejCeleCisloVIntervalu(1, cilovaCastka);
        System.out.println("Zadej maximální hodnotu, kterou bude možné přidat: ");
        maximumPridavani = Vstup.zadejCeleCisloVIntervalu(minimumPridavani, cilovaCastka);
        System.out.println("Začínáš!");
        do {
            hraje.predstaveniHrace();
            soucet += hraje.tah(soucet, cilovaCastka, minimumPridavani, maximumPridavani);
            hraje = hraje.hrajePoMne();
            System.out.println("Součet = " + soucet);
        } while (soucet < cilovaCastka);
        hraje.hrajePredeMnou().ohlaseniViteze();
    }
}
